import java.util.ArrayList;
import java.util.Collections;
import java.util.Random;

class Karte {
	private String typ;
	private String wert;

	public Karte(String typ, String wert) {
		this.typ = typ;
		this.wert = wert;
	}

	@Override
	public String toString() {
		return this.typ + " " + this.wert;
	}
}

class MischMaschine extends ArrayList<Karte> {

	public MischMaschine() {
		super();
	}

	public void mischen() {
		// Variante 1
		Random zufall = new Random();
		for (int t = 0; t < this.size(); t++) {
			int index1 = zufall.nextInt(this.size());
			int index2 = zufall.nextInt(this.size());
			Karte karte = this.get(index1);
			this.set(index1, this.get(index2));
			this.set(index2, karte);
		}

		// Variante 2:
		Collections.shuffle(this);
	}
}

public class UE16Aufgabe1 {

	// Testprogramm
	public static void main(String[] args) {
		MischMaschine mischer = new MischMaschine();

		String[] typ = { "kreuz", "pik", "herz", "karo" };
		String[] wert = { "ass", "2", "3", "4", "5", "6", "7", "8", "9", "10",
				"bauer", "dame", "koenig" };

		for (int i = 0; i < typ.length; i++) {
			for (int j = 0; j < wert.length; j++) {
				mischer.add(new Karte(typ[i], wert[j]));
			}
		}
		System.out.println("ungemischt:");
		for (Karte karte : mischer) {
			System.out.println(karte);
		}

		mischer.mischen();

		System.out.println("gemischt:");
		for (Karte karte : mischer) {
			System.out.println(karte);
		}

	}

}
