import java.util.ArrayList;
import java.util.HashMap;

class WoerterbuchExt {

	protected HashMap<String, ArrayList<String>> eintraege;

	public WoerterbuchExt() {
		this.eintraege = new HashMap<String, ArrayList<String>>();
	}

	public void einfuegen(String begriff, String uebersetzung) {
		ArrayList<String> uebersetzungen = this.eintraege.get(begriff);
		if (uebersetzungen == null) { // noch nicht vorhanden
			uebersetzungen = new ArrayList<String>();
			this.eintraege.put(begriff, uebersetzungen);
		}
		if (!uebersetzungen.contains(uebersetzung)) {
			uebersetzungen.add(uebersetzung);
		}
	}

	public ArrayList<String> getUebersetzungen(String begriff) {
		ArrayList<String> uebersetzungen = this.eintraege.get(begriff);
		return uebersetzungen;
	}

}

public class UE16Aufgabe3 {
	// Testprogramm
	public static void main(String[] args) {
		WoerterbuchExt buch = new WoerterbuchExt();
		char antwort = IO.readChar("Weitere Eintragung (j/n)?");
		while (antwort == 'j') {
			String begriff = IO.readString("Begriff: ");
			String uebersetzung = IO.readString("Uebersetzung: ");
			buch.einfuegen(begriff, uebersetzung);
			antwort = IO.readChar("Weitere Eintragung (j/n)?");
		}

		antwort = IO.readChar("Weitere Abfrage (j/n)?");
		while (antwort == 'j') {
			String begriff = "";
			begriff = IO.readString("Begriff: ");
			ArrayList<String> uebersetzungen = buch.getUebersetzungen(begriff);
			if (uebersetzungen != null) {
				for (String str : uebersetzungen) {
					System.out.println(begriff + " = " + str);
				}
			} else {
				System.out.println("Begriff " + begriff
						+ " ist nicht im Woerterbuch vorhanden");
			}
			antwort = IO.readChar("Weitere Abfrage (j/n)?");
		}

	}
}
